package nand.apps.chat.model.group

import nand.apps.chat.util.getStringBlocking
import seers.composeapp.generated.resources.Res
import seers.composeapp.generated.resources.group_talk_state_default
import seers.composeapp.generated.resources.group_talk_state_founder
import seers.composeapp.generated.resources.group_talk_state_staff

enum class ChatGroupTalkState {
    DEFAULT,
    STAFF_ONLY,
    FOUNDER_ONLY,
    ;

    fun getLabel() = getStringBlocking(
        when (this) {
            DEFAULT -> Res.string.group_talk_state_default
            STAFF_ONLY -> Res.string.group_talk_state_staff
            FOUNDER_ONLY -> Res.string.group_talk_state_founder
        }
    )
}
