package nand.apps.chat.ui.profile

import nand.apps.chat.model.settings.profile.ProfileSettingsData
import okio.Path

data class SelfProfileDialogState(
    val settings: ProfileSettingsData = ProfileSettingsData(),
    val avatarPath: Path? = null,
    val isImportMethodDialogVisible: Boolean = false,
    val filePickerDirectory: String? = null,
    val tempAvatarPath: String? = null,
    val isAvatarBusy: Boolean = false,
    val isAddressVisible: Boolean = false,
    val isLockConfirmationVisible: Boolean = false,
)