package nand.apps.chat.model.settings.update

import kotlinx.serialization.Serializable
import nand.apps.chat.time.HOUR_MILLIS

@Serializable
data class AppUpdateSettingsData(
    val isAutoUpdateEnabled: Boolean = false,
    val updateCheckInterval: Long = 4 * HOUR_MILLIS, // Once every 4 hours
)
