package nand.apps.chat.ui.file

sealed interface ChatFilePickerAction

data class SetFileNameAction(val fileName: String) : ChatFilePickerAction

data class ConfirmFileAction(val path: String) : ChatFilePickerAction

data object CancelFilePickerAction : ChatFilePickerAction

data class ShowErrorSnackbarAction(val message: String) : ChatFilePickerAction