package nand.apps.chat.update

import nand.apps.chat.model.update.AppReleaseInfo
import okio.Path

interface AppInstaller {

    fun isSupported(): Boolean

    fun getPackageFileExtension(): String

    suspend fun install(release: AppReleaseInfo, packagePath: Path)
}